net.minecraftforge.event.terraingen

## Class ChunkProviderEvent.InitNoiseField

- java.lang.Object
- - cpw.mods.fml.common.eventhandler.Event
  - - net.minecraftforge.event.terraingen.ChunkProviderEvent
    - - net.minecraftforge.event.terraingen.ChunkProviderEvent.InitNoiseField

- Enclosing class:
    ChunkProviderEvent

      public static class ChunkProviderEvent.InitNoiseField
      extends ChunkProviderEvent

  This event is fired before a chunks terrain noise field is initialized. You can set the result to DENY to substitute your own noise field.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraftforge.event.terraingen.ChunkProviderEvent

      `ChunkProviderEvent.InitNoiseField, ChunkProviderEvent.ReplaceBiomeBlocks`

    - ### Nested classes/interfaces inherited from class cpw.mods.fml.common.eventhandler.Event

      `Event.HasResult, Event.Result`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double[]` | `noisefield`
    `int` | `posX`
    `int` | `posY`
    `int` | `posZ`
    `int` | `sizeX`
    `int` | `sizeY`
    `int` | `sizeZ`

    - ### Fields inherited from class net.minecraftforge.event.terraingen.ChunkProviderEvent

      `chunkProvider`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkProviderEvent.InitNoiseField(IChunkProvider chunkProvider, double[] noisefield, int posX, int posY, int posZ, int sizeX, int sizeY, int sizeZ)`

  - ### Method Summary

    - ### Methods inherited from class cpw.mods.fml.common.eventhandler.Event

      `getListenerList, getResult, hasResult, isCancelable, isCanceled, setCanceled, setResult, setup`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### noisefield

          public double[] noisefield

    - #### posX

          public final int posX

    - #### posY

          public final int posY

    - #### posZ

          public final int posZ

    - #### sizeX

          public final int sizeX

    - #### sizeY

          public final int sizeY

    - #### sizeZ

          public final int sizeZ

  - ### Constructor Detail

    - #### ChunkProviderEvent.InitNoiseField

          public ChunkProviderEvent.InitNoiseField(IChunkProvider chunkProvider,
                                           double[] noisefield,
                                           int posX,
                                           int posY,
                                           int posZ,
                                           int sizeX,
                                           int sizeY,
                                           int sizeZ)